an easy and consistent way of installing software ported to FreeBSD
#!/bin/sh
if [ "$2" != "POST-DEINSTALL" ]; then
exit 0
fi
PW=/usr/sbin/pw
ECHO=echo
USER=noip
GROUP=${USER}
if [ -f ${PKG_PREFIX}/etc/no-ip2.conf ]; then
${ECHO} "To delete noip configuration permanently: rm ${PKG_PREFIX}/etc/no-ip2.conf"
fi
if ${PW} usershow "${USER}" 2>/dev/null 1>&2; then
${ECHO} "To delete noip user permanently: ${PW} userdel ${USER}"
fi
if ${PW} groupshow "${GROUP}" 2>/dev/null 1>&2; then
${ECHO} "To delete noip group permanently: ${PW} groupdel ${GROUP}"
fi
exit 0
This is a port of No-IP.com's dynamic DNS update client. When
configured correctly, the client will check the local IP address at a
given time interval for any changes. If the local IP address has
changed it will notify the DNS servers at No-IP.com and update the IP
corresponding to your No-IP/No-IP+ hostname.
WWW: http://www.No-IP.com/
- Eyal Soha
esoha@attbi.com
#!/bin/sh
if [ "$2" != "PRE-INSTALL" ]; then
exit 0
fi
PW=/usr/sbin/pw
ECHO=echo
USER=noip
GROUP=${USER}
if ! ${PW} groupshow "${GROUP}" 2>/dev/null 1>&2; then
if ${PW} groupadd ${GROUP}; then
${ECHO} "Added group \"${GROUP}\"."
else
${ECHO} "Adding group \"${GROUP}\" failed..."
exit 1
fi
fi
if ! ${PW} usershow "${USER}" 2>/dev/null 1>&2; then
if ${PW} useradd ${USER} -g ${GROUP} -h - \
-s "/sbin/nologin" -d "/nonexistent" \
-c "noip pseudo-user"; \
then
${ECHO} "Added user \"${USER}\"."
else
${ECHO} "Adding user \"${USER}\" failed..."
exit 1
fi
fi
exit 0
bin/noip2
%%PORTDOCS%%%%DOCSDIR%%/README.FIRST
%%PORTDOCS%%%%DOCSDIR%%/COPYING
%%PORTDOCS%%@dirrm %%DOCSDIR%%